# One inbox notification with its full body

GET /api/agent/inbox/notifications/{id}. Required scopes: inbox:read.

HTML: https://notify.belweave.ai/docs/api/getInboxNotificationsId

Required scopes: `inbox:read`

```http
GET /api/agent/inbox/notifications/{id}
Authorization: Bearer ntf_your_token
```

## Operation schema

```json
{
  "summary": "One inbox notification with its full body",
  "operationId": "getInboxNotificationsId",
  "security": [
    {
      "bearer": [
        "inbox:read"
      ]
    }
  ],
  "x-notify-scopes": [
    "inbox:read"
  ],
  "parameters": [
    {
      "name": "id",
      "in": "path",
      "schema": {
        "type": "string"
      },
      "required": true
    }
  ],
  "responses": {
    "200": {
      "description": "Success",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "notification": {
                "$ref": "#/components/schemas/InboxNotificationDetail"
              }
            },
            "required": [
              "notification"
            ]
          }
        }
      }
    },
    "400": {
      "description": "Invalid request",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "401": {
      "description": "Missing, unknown, revoked, or expired token",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "403": {
      "description": "The token lacks a required scope or the account lacks permission",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    },
    "404": {
      "description": "Not found for this account",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Error"
          }
        }
      }
    }
  }
}
```

Resolve schema references against [OpenAPI](https://notify.belweave.ai/openapi.json).
